import xml.etree.ElementTree as ET
import os
from PyQt4 import QtCore

# uporabniško definiran modul za izvoz
# parametri:
# polja - lista s polji za tip dokumenta ki se uzvaza v obliki (ime polja,tip polja)
# vrednosti - lista z vrednostmi polj za dokumente v obliki [vrednost1,vrednost2 ....]
# dokumenti - lista skeniranih strani za dokument v obliki [stran1,stran2,....]
# ocri - lista ocr txt datotek za dokument v obliki [datoteka1,datoteka2,....]
#
# primer naredi xml datoteko

def izvoz(self,polja,vrednosti,dokumenti,ocri):
	root = ET.Element("root")
	self.izvozSkupajSignal.emit(len(vrednosti))
	for i in range(0,len(vrednosti)):
		doc = ET.SubElement(root, "dokument")
		for j in range(0,len(polja)):
			field = ET.SubElement(doc, "polje")
			field.set("ime", polja[j][0])
			field.set("tip", polja[j][1])
			field.text = vrednosti[i][j]
		for sken in dokumenti[i]:
			field = ET.SubElement(doc, "polje")
			field.set("ime", "sken")
			field.text = "./Dokumenti" + "/" + os.path.split(sken)[1]
		for ocr in ocri[i]:
			field = ET.SubElement(doc, "polje")
			field.set("ime", "ocr")
			field.text = "./Dokumenti" + "/" + os.path.split(ocr)[1]
		self.izvozNaslednjiSignal.emit()
	tree = ET.ElementTree(root)
	tree.write("./Izvoz/izvoz.xml")

